Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           mm-common
Version:        0.9.2
Release:        1
BuildArch:	i686
Summary:        Common build files of the C++ bindings

Group:          Development/Tools
BuildArch:      noarch
License:        GPLv2+ and GFDL
URL:            http://gtkmm.org
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.8/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       pkgconfig
Requires:       graphviz
Requires:       doxygen
Requires:       libxslt
# mm-common install some files under datadir/aclocal/.
Requires:       automake

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is only a required
dependency for building the C++ bindings from the gnome.org version
control repository.  An installation of mm-common is not required for
building tarball releases, unless configured to use maintainer-mode.

%package docs
Summary:        Documentation for %{name}, includes example mm module skeleton
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description docs
Package contains short documentation for %{name} and example skeleton module,
which could be used as a base for new mm module.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p" CPPROG="cp -p"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS AUTHORS
%{_bindir}/mm-common-prepare
%{_aclocal}/mm-common.m4
%{_aclocal}/mm-dietlib.m4
%{_aclocal}/mm-doc.m4
%{_aclocal}/mm-module.m4
%{_aclocal}/mm-pkg.m4
%{_aclocal}/mm-warnings.m4
%{_mandir}/man1/mm-common-prepare.1.gz
%{_datadir}/mm-common/build/compile-binding.am
%{_datadir}/mm-common/build/dist-changelog.am
%{_datadir}/mm-common/build/doc-reference.am
%{_datadir}/mm-common/build/generate-binding.am
%{_datadir}/mm-common/doctags/libstdc++.tag
%{_datadir}/mm-common/doctool/doc-install.pl
%{_datadir}/mm-common/doctool/doc-postprocess.pl
%{_datadir}/mm-common/doctool/doxygen.css
%{_datadir}/mm-common/doctool/tagfile-to-devhelp2.xsl
%{_datadir}/pkgconfig/mm-common-libstdc++.pc

%files docs
%defattr(-,root,root,-)
%{_docdir}/mm-common/README
%{_docdir}/mm-common/skeletonmm.tar.gz



%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Version update
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.8-1
- Initial CCux package release
